.BG
.FN bruto
.TL
fit an additive spline model by adaptive backfitting
.CS
bruto(x, y, w, wp, dfmax, cost, maxit.select, maxit.backfit, 
	thresh=0.0001, trace=T, start.linear=T, fit.object, ...)
.PP
.AG x
a matrix of numeric predictors (does not include the column of 1s)
.AG y
a vector or matrix of responses
.AG w
optional observation weight vector
.AG wp
optional weight vector for each column of y; the RSS and GCV criteria
use a weighted sum of squared residuals.
.AG dfmax
a vector of maximum df (degrees of freedom) for each term
.AG cost
cost per degree of freedom; default is 2.
.AG maxit.select
maximum number of iterations during the selection stage
.AG maxit.backfit
maximum number of iterations for the final backfit stage (with fixed lambda)
.AG thresh
convergence threshold (default is 0.0001); iterations cease when the relative
change in GCV is below this threshold
.AG trace
logical flag. If TRUE (default) a progress report is printed during the fitting.
.AG start.linear
logical flag. If TRUE, the model starts with the linear fit.
.AG fit.object
This the object returned by `bruto()'; if supplied, the same model is fit to
the presumeably new y.
.RT
a multiresponse additive model fit object of class `bruto' is
returned.  The model is fit by adaptive backfitting using smoothing
splines.  If there are `np' columns in `y', then `np' additive models
are fit, but the same amount of smoothing (df) is used for the jth term
of each. The procedure chooses between `df = 0' (term omitted), `df =
1' (term linear) or `df > 0' (term fitted by smoothing spline. 
The 
model selection is based on an approximation to the  GCV criterion,
which is used at each step of the backfitting procedure. Once the
selection process stops, the model is backfit using the chosen amount
of smoothing.
.PP

A bruto object has the following components of interest:
.RC lambda
a vector of chosen smoothing parameters, one for each column of x
.RC df
the df chosen for each column of x
.RC type
a factor with levels `excluded', `linear' or `smooth', indicating the status
of each column of x.
.RC gcv.select
.RC gcv.backfit
.RC df.select
The sequence of gcv values and df selected during the execution of the function.
.RC nit
The number of iterations used
.RC fitted.values
a matrix of fitted values
.RC residuals
a matrix of residuals
.RC call
the call that produced this object
.SH REFERENCES
Trevor Hastie and Rob Tibshirani,
.ul
Generalized Additive Models, 
Chapman and Hall, 1990 (page 262).
.br
Trevor Hastie, Rob Tibshirani and Andreas Buja
"Flexible Discriminant Analysis by Optimal Scoring"
AT\&T Bell Laboratories Technical Memorandum, February 1993.
.SA 
`predict.bruto'
.EX
bruto(x,y)
.WR

